package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.StorageModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ Description：
 * @ Author     ：丁明威
 * @ Date       ：Created in 17:25 2018/11/16
 * @ Modified By：
 */
public interface StorageProvider extends SuperProvider {
    default public BocloudResult list() {
        return null;
    }

    default public BocloudResult get(String storageUuid) {
        return null;
    }

    default public BocloudResult connect(StorageModel model) {
        return null;
    }

    default public BocloudResult create(StorageModel model) {
        return null;
    }

    default public BocloudResult modify(StorageModel model) {
        return null;
    }

    default public BocloudResult remove(String uuid) {
        return null;
    }

    default public BocloudResult detail(String uuid) {
        return null;
    }
}